[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: KDE status update

Hash: SHA1

I didn't even think of this, but are you using the 2_2_BRANCH of kpilot or 
current cvs?  The reason I ask, is that (unfortunetly!) the 2.2.2 branch is 
completely broken for most people*.  The current cvs compiles and runs fine 
for both 3.0 and 2.2.2**, and is the only one supported.  There are other 
problems (most of the conduits don't work correctly), but it can at least 
backup/restore all devices, and actually works for usb devices.  I would 
*highly* recommend using that instead of the old code.  

In order to compile the new code, do a cvs checkout of kdepim -r 2_2_BRANCH, 
then rm -fR kdepim/kpilot, and cvs co kdepim/kpilot, all before running make 
- -f Makefile.cvs.  I would be *very* interested if this doesn't compile under 
gcc3.0 for any given platform.  If this isn't a solution, I will try and work 
with Adriaan to fix the other error, but of course I can't promise anything :(

*That is, usb-support is almost useless, most conduits are flacky, backup and 
restore are iffy

**That is a stated design goal for the next release of KPilot, and I am 
personally the one responsible for making sure it stays 2.2.* compatible :-)

On Wednesday 06 March 2002 05:55 pm, Chris Cheney wrote:
> On Wed, Mar 06, 2002 at 03:34:06PM -0700, David Bishop wrote:
> > What gcc 3.0 issues? I'm on pretty good terms with the kpilot developer,
> > and would be willing to do some leg work to get this into woody.  And not
> > having korganizer, kpilot, knotes, etc, would suck :-)
> >
> > - --
> > D.A.Bishop
> Please take a look at this bug:
> http://bugs.debian.org/133697
> http://buildd.debian.org/fetch.php?&pkg=kdepim&ver=4%3A2.2.2-4&arch=hppa&st
> It does not compile at all on HPPA which is an arch that intends to ship
> with woody, which makes it an RC bug. :<
> Thanks,
> Chris
> this looks like it might be the culprit:
> c++ -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/include/kde -I/usr/include/qt
> -I.  -I/usr/include/libpisock -I/usr/include/libpisock    -DNDEBUG -O2
> -fno-exceptions -fno-check-new  -c kpilot.cc kpilot.cc: In destructor
> `virtual KPilotInstaller::~KPilotInstaller()': kpilot.cc:230: no matching
> function for call to `std::basic_ofstream<char, std::char_traits<char>
> >::basic_ofstream(int)'
> /usr/include/g++-v3/bits/std_iosfwd.h:84: candidates are:
>    std::basic_ofstream<char, std::char_traits<char> >::basic_ofstream(const
>    std::basic_ofstream<char, std::char_traits<char> >&)

- -- 
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org


Reply to: